@import url('https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@300..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&display=swap');

:root {
    --bodyColor: black;
    --elementBgColor: rgba(15, 15, 15);
    --brandPrimaryColor: #00ffe6;
    --brandSecondaryColor: #ffce00;
    --sectionHeadingFontSize: 3.4vw;
    --sectionHeading2FontSize: 1.7vw;
    --sectionOtherFontSize: 2.2vw;
    --sectionParagraphFontSize: 1.2vw;
    --gradientColorPrimary: rgba(0, 255, 230, 0.8);
    --sectionRadius: 15px;
    --paragraphFont: "DM Sans";
    --headingFont: "Space Grotesk";
    --mobileHeadingFontSize: 7.5vw;
    --mobileHeading2FontSize: 6vw;
    --mobileParagraphFontSize: 4vw;
}

* {
    font-family: var(--paragraphFont);
    font-weight: 300;
    margin: 0;
    padding: 0;
}

body {
    padding: 1.2vw 2vw 0;
    background-color: var(--bodyColor);
    font-family: var(--paragraphFont);
    color: white;
    overflow-x: hidden !important;
    z-index: 0;
}

body h1,
body h2 {
    font-family: "Space Grotesk" !important;
}

body a {
    text-decoration: none;
}

.primaryButton {
    position: relative;
    background: var(--brandPrimaryColor);
    box-shadow: inset 0 5px 4px rgba(255, 255, 255, 0.8), inset 0 -15px 20px rgba(0, 0, 0, 0.4);
    border: none;
    border-radius: 30px;
    padding: .9vw 2vw;
    margin-left: 1.5vw;
    font-family: var(--paragraphFont);
    font-size: var(--sectionParagraphFontSize);
    cursor: pointer;
    overflow: hidden;
    z-index: 10;
    transition: 0.4s;
}

#btnCircle {
    position: absolute;
    bottom: 80%;
    background: white;
    border-radius: 50%;
    width: 8vw;
    height: 8vw;
    filter: blur(8px);
}

.primaryButton:hover {
    color: white;
    background: transparent;
    box-shadow: inset 0 0 10px white;
    transform: scale(.95);
    transition: all .5s;
}

#secondaryButton {
    background: transparent;
    box-shadow: inset 0 0 8px rgba(255, 255, 255, 0.5);
    color: #D9D9D9;
}

#secondaryButton:hover {
    box-shadow: inset 0 0 10px white;
}

/* Navbar section  */
#navbar {
    position: sticky;
    top: 0;
    margin: -1.2vw -2vw;
    padding: 0.5vw 2vw;
    z-index: 1000;
    background: linear-gradient(rgba(0, 0, 0, 1), transparent);
    backdrop-filter: blur(1px);
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0.8vw 2vw;
    border-radius: 100px;
}

.navbar .logo a {
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    font-size: 1.5vw;
    text-decoration: none;
    color: white;
    cursor: pointer;
    gap: 0.8vw;
}

.navbar .logo img {
    width: 1.5vw;
}

.navbar .menu img {
    display: none;
    cursor: pointer;
    width: 6vw;
}

.navbar .links {
    display: flex;
    align-items: center;
}

.navbar .links a {
    position: relative;
    text-decoration: none;
    color: white;
    margin: 0 0.5vw;
    font-size: var(--sectionParagraphFontSize);
    text-shadow: 0 0 10px black;
    border-radius: 20px;
    padding: 0.3vw 0.7vw 0.4vw;
    overflow: hidden;
    transition: all 0.4s linear;
}

.navbar .links a:hover {
    transform: scale(1.09);
}

.navbar .links a::before {
    content: "";
    position: absolute;
    height: 100%;
    width: 0%;
    top: 0;
    left: -3vw;
    transform: skewX(45deg);
    background-color: #202020;
    z-index: -1;
    transition: all 0.4s linear;
}

.navbar .links a:hover::before {
    width: 200%;
}

#btnCircle {
    left: 20%;
}

.mobileLinks {
    display: none;
}

.navbar .links p {
    font-weight: 200;
}

/* Footer Section  */
.footerContainer {
    display: grid;
    grid-template-columns: 2fr 1fr 1fr 2fr;
    background-color: white;
    color: black;
    border-radius: 30px 30px 0 0;
    margin: -1.2vw -2vw;
    padding: 7vw 5vw 4vw;
    font-size: var(--sectionParagraphFontSize);
}

.footerContainer .footerGroup1 button {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #111111;
    padding: 1.2vw 2vw;
    gap: 1vw;
    border-radius: 15px;
    border: none;
    color: white;
}

.footerContainer .footerGroup1 button img {
    width: 1.5vw;
}

.footerContainer .footerGroup1 span {
    font-size: 1.5vw;
}

.footerGroup2 a,
.footerGroup3 a {
    display: flex;
    text-decoration: underline;
    width: fit-content;
    color: black;
    margin: 0 0 2vw;
    transition: all 0.5s ease;
}

.footerGroup4 p {
    margin: 0 0 2vw;
}

.footerGroup5 {
    place-self: center;
    grid-column: 1/5;
    margin: 3vw 0 0;
}

.footerGroup5 img {
    margin: 0 .6vw;
    width: 4vw;
    transition: all 0.5s ease, background-color 1s ease;
    border-radius: 50%;
}

.footerGroup2 a:hover,
.footerGroup3 a:hover {
    transform: scale(1.1);
    transition: all 0.5s ease;
}

.footerGroup5 img:hover {
    background-color: rgb(0, 255, 230);
    transform: scale(0.92);
    transition: all 0.5s ease, background-color 0.7s ease;
}

#line {
    grid-column: 1/5;
    width: 100%;
    height: 1.5px;
    background-color: black;
}

#alertBox {
    display: none;
    position: fixed;
    inset: 10vh auto auto 13%;
    width: 60vw;
    height: fit-content;
    padding: 5% 6%;
    /* box-sizing: border-box; */
    background: rgba(15, 15, 15, 0.8);
    backdrop-filter: blur(5px);
    border: 1px solid var(--brandPrimaryColor);
    z-index: 1116;
    border-radius: 10px;
    text-align: center;
}

#alertBox .popUpContent {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10%;
    height: 100%;
}

#alertBox .close {
    position: absolute;
    inset: 10% 5% auto auto;
    width: 2vw;
    transform: rotate(45deg);
    cursor: pointer;
}

#alertBox img {
    align-self: center;
    width: 12vw;
    margin: 0 0 6%;
}

#alertBox h5 {
    font-size: 3vw;
    font-weight: bold;
    margin: 0 0 2%;
    width: fit-content;
    color: transparent;
    background: linear-gradient(120deg, white, var(--brandSecondaryColor) 20%, rgb(79, 64, 0) 99.9%);
    -webkit-background-clip: text;
    background-clip: text;
    align-self: center;
}

#alertBox p {
    color: white;
    font-size: var(--sectionHeading2FontSize);
    text-shadow: 0 0 3px black;
    line-height: 120%;
    padding: 0 10%;
}

#alertBox button {
    display: none;
    font-size: var(--sectionParagraphFontSize);
    padding: 0.5vw 1.5vw;
    width: fit-content;
    align-self: center;
}

/* <-------------------Mobile Device----------------------> */

@media (max-width: 600px) {
    #navbarContainer {
        margin: -1vw;
        padding: 2vw 1.2vw;
    }

    .navbar {
        padding: 2vw;
    }

    .navbar .links {
        display: none;
    }


    .navbar .logo img {
        width: 4.5vw;
        margin: 0 1vw 0 0;
    }

    .navbar .logo a {
        font-size: 3.5vw;
    }

    .navbar .menu img {
        display: block;
    }

    .navbar .menu {
        position: relative;
    }

    .navbar .mobileLinks {
        position: absolute;
        top: 90%;
        right: 30%;
        width: 35vw;
        display: none;
        gap: 2vw;
        padding: 5vw 3vw;
        background: rgba(33, 33, 33, 0.5);
        border-radius: 20px 0px 20px 20px;
        backdrop-filter: blur(20px);
        box-shadow: 0 0 3px rgba(0, 255, 230, 0.8);
    }

    .navbar .mobileLinks button {
        font-size: var(--mobileParagraphFontSize);
        font-weight: 200;
        color: white;
        border: none;
        border-radius: 10px;
        background: rgba(67, 67, 67, 0.8);
        box-shadow: inset 0 0 3px rgba(0, 255, 230, 01);
        text-shadow: 0 0 10px black;
        padding: 2vw;
        margin: 1vw 0;
        width: 100%;
    }

    .navbar .mobileLinks .primaryButton {
        background: var(--brandPrimaryColor);
        box-shadow: none;
        font-weight: 300;
    }

    .navbar #btnCircle {
        display: none;
    }

    .navbar .active {
        display: grid;
    }

    /* footer  */
    .footerContainer {
        grid-template-columns: 1.2fr 1fr 1fr 1.5fr;
        margin: -1.2vw -2vw;
    }

    .footerContainer,
    .footerContainer p {
        font-size: 3vw;
    }

    .footerContainer .footerGroup1 button {
        border-radius: 5px;
        padding: 5% 10%;
    }

    .footerContainer .footerGroup1 button img {
        width: 2vw;
    }

    .footerContainer .footerGroup1 span {
        font-size: 2vw;
    }

    .footerGroup5 img {
        width: 7vw;
    }

    /* alert pop up box  */
    #alertBox {
        height: 80vw;
        width: 70vw;
        inset: 20vh auto auto 14%;
    }

    #alertBox img {
        width: 4vw;
        inset: 8% 8% auto auto;
    }

    #alertBox p {
        font-size: var(--mobileParagraphFontSize);
        line-height: 200%;
    }

    #alertBox button {
        font-size: var(--mobileParagraphFontSize);
        padding: 1vw 3vw;
    }
}


/* --------------------------Animation Part ---------------------------- */
.hideLeft {
    position: relative;
    opacity: 0;
    transform: translateX(-20%) scale(0.9);
    filter: blur(4px);
}

.hideRight {
    position: relative;
    opacity: 0;
    transform: translateX(20%) scale(0.9);
    filter: blur(4px);
}

.hideDown {
    position: relative;
    opacity: 0;
    transform: translateY(80%) scale(0.8);
}

.hideLessDown {
    position: relative;
    opacity: 0;
    transform: translateY(20%);
}

.hideSmallDown {
    position: relative;
    opacity: 0;
    transform: translateY(20%) scale(0.8);
}

.hideLeftConic {
    position: relative;
    opacity: 0;
    transform: translate(-100%, 10%) scale(0.8);
}

.hideRightConic {
    position: relative;
    opacity: 0;
    transform: translate(100%, 10%) scale(0.8);
}

.hideInside {
    position: relative;
    opacity: 0;
    transform: scale(0.7);
    transition-delay: .2s;
}

.showAll {
    opacity: 1;
    transform: translate(0, 0) scale(1);
    transition: all .8s ease;
}

.hideBounce {
    position: relative;
    animation: bounce 1s ease infinite both;
}

@keyframes bounce {
    0% {
        transform: translateY(0) scale(1.15, 0.85);
    }

    50% {
        transform: translateY(-80px) scale(0.9, 1);
    }

    100% {
        transform: translateY(0) scale(1.15, 0.85);
    }
}
/* 
.letter {
    display: inline-block;
    transform: translateY(50%);
    opacity: 0;
}

.letter.show {
    transform: translateY(0);
    opacity: 1;
    transition: all 0.5s ease;
} */
